Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class RendezvousSocketPastryNodeFactory

    java.lang.Object
      rice.pastry.PastryNodeFactory
          rice.pastry.transport.TransportPastryNodeFactory
              rice.pastry.socket.SocketPastryNodeFactory
                  rice.pastry.socket.nat.rendezvous.RendezvousSocketPastryNodeFactory

    public class RendezvousSocketPastryNodeFactory

extends SocketPastryNodeFactory

This class assembles the rendezvous layer with the rendezvous app. Need to think about where this best goes, but for now, we'll put it just above the magic number layer.

Author:
  Jeff Hoye

Nested Class Summary

Nested classes/interfaces inherited from class rice.pastry.socket.SocketPastryNodeFactory
`SocketPastryNodeFactory.TransLiveness<Identifier,MessageType>, SocketPastryNodeFactory.TransLivenessProximity<Identifier,MessageType>`

Field Summary

Fields inherited from class rice.pastry.socket.SocketPastryNodeFactory
`findFireWallPolicy, nidFactory, PASTRY_MAGIC_NUMBER, random, testFireWallPolicy`

Fields inherited from class rice.pastry.transport.TransportPastryNodeFactory
`leafSetMaintFreq, routeSetMaintFreq`

Fields inherited from class rice.pastry.PastryNodeFactory
`environment, logger, lSetSize, rtBase, rtMax`

Constructor Summary
`RendezvousSocketPastryNodeFactory(NodeIdFactory nf, java.net.InetAddress bindAddress, int startPort, Environment env, NATHandler handler)`
`RendezvousSocketPastryNodeFactory(NodeIdFactory nf, int startPort, Environment env)`

Method Summary
`protected TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer>` | `getMagicNumberTransportLayer(TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> wtl, TLPastryNode pn)`
`protected RendezvousGenerationStrategy<RendezvousSocketNodeHandle>` | `getRendezvousGenerator(TLPastryNode pn)`
`protected RendezvousStrategy<RendezvousSocketNodeHandle>` | `getRendezvousStrategy(TLPastryNode pn)`
`protected TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer>` | `getRendezvousTransportLayer(TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> mtl, TLPastryNode pn)`

Methods inherited from class rice.pastry.socket.SocketPastryNodeFactory
`cloneEnvironment, cloneLogManager, cloneProcessor, cloneRandomSource, cloneSelectorManager, getBootstrapper, getCommonAPITransportLayer, getIdentityImpl, getLimitSocketsTransportLayer, getLivenessTransportLayer, getLocalHandle, getLowerIdentityLayer, getMultiAddressSourceRouteFactory, getMultiAddressSourceRouteFactory, getNodeHandle, getNodeHandle, getNodeHandle, getNodeHandle, getNodeHandleFactory, getNodeHanldeAdapter, getPriorityTransportLayer, getSourceRouteManagerLayer, getSourceRouteTransportLayer, getUpperIdentityLayer, getWireTransportLayer, newNode, newNode, newNode, newNode, newNode, newNode, newNode, verifyConnection`

Methods inherited from class rice.pastry.transport.TransportPastryNodeFactory
`getProximityNeighborSelector, getTLDeserializer, nodeHandleHelper`

Methods inherited from class rice.pastry.PastryNodeFactory
`getEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendezvousSocketPastryNodeFactory

    public RendezvousSocketPastryNodeFactory(NodeIdFactory nf,
                                             java.net.InetAddress bindAddress,
                                             int startPort,
                                             Environment env,
                                             NATHandler handler)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`

### RendezvousSocketPastryNodeFactory

    public RendezvousSocketPastryNodeFactory(NodeIdFactory nf,
                                             int startPort,
                                             Environment env)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getMagicNumberTransportLayer

    protected TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> getMagicNumberTransportLayer(TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> wtl,
                                                                                                          TLPastryNode pn)

  Overrides:
    `getMagicNumberTransportLayer` in class `SocketPastryNodeFactory`

### getRendezvousTransportLayer

    protected TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> getRendezvousTransportLayer(TransportLayer<java.net.InetSocketAddress,java.nio.ByteBuffer> mtl,
                                                                                                         TLPastryNode pn)

### getRendezvousGenerator

    protected RendezvousGenerationStrategy<RendezvousSocketNodeHandle> getRendezvousGenerator(TLPastryNode pn)

### getRendezvousStrategy

    protected RendezvousStrategy<RendezvousSocketNodeHandle> getRendezvousStrategy(TLPastryNode pn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.